diff options
author | Giovanni Di Sirio <gdisirio@gmail.com> | 2018-03-14 18:19:21 +0000 |
---|---|---|
committer | Giovanni Di Sirio <gdisirio@gmail.com> | 2018-03-14 18:19:21 +0000 |
commit | b88dd92734686f6427514a215d545ab4725ca07b (patch) | |
tree | d89b98a20c684bd9a17b203cee72a09ee1a0e2f7 /tools/updater/update_chconf_nil.sh | |
parent | 4738ea4a13ebab9a2abd96a40e64ab77599599fa (diff) | |
download | ChibiOS-b88dd92734686f6427514a215d545ab4725ca07b.tar.gz ChibiOS-b88dd92734686f6427514a215d545ab4725ca07b.tar.bz2 ChibiOS-b88dd92734686f6427514a215d545ab4725ca07b.zip |
Fixed EOLs.
git-svn-id: svn://svn.code.sf.net/p/chibios/svn/trunk@11753 110e8d01-0319-4d1e-a829-52ad28d1bb01
Diffstat (limited to 'tools/updater/update_chconf_nil.sh')
-rw-r--r-- | tools/updater/update_chconf_nil.sh | 44 |
1 files changed, 22 insertions, 22 deletions
diff --git a/tools/updater/update_chconf_nil.sh b/tools/updater/update_chconf_nil.sh index bd4ac0ed8..eab3632e5 100644 --- a/tools/updater/update_chconf_nil.sh +++ b/tools/updater/update_chconf_nil.sh @@ -1,22 +1,22 @@ -#!/bin/bash
-if [ $# -eq 0 ]
-then
- find ../.. -name "chconf.h" -exec bash update_chconf_nil.sh "{}" \;
-elif [ $# -eq 1 ]
-then
- if egrep -q "_CHIBIOS_NIL_CONF_" $1
- then
- echo Processing: $1
- cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
- if ! fmpp -q -C chconf_nil.fmpp
- then
- echo
- echo "aborted"
- exit 1
- fi
- cp ./chconf.h $1
- rm ./chconf.h ./values.txt
- fi
-else
- echo "illegal number of arguments"
-fi
+#!/bin/bash +if [ $# -eq 0 ] +then + find ../.. -name "chconf.h" -exec bash update_chconf_nil.sh "{}" \; +elif [ $# -eq 1 ] +then + if egrep -q "_CHIBIOS_NIL_CONF_" $1 + then + echo Processing: $1 + cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt + if ! fmpp -q -C chconf_nil.fmpp + then + echo + echo "aborted" + exit 1 + fi + cp ./chconf.h $1 + rm ./chconf.h ./values.txt + fi +else + echo "illegal number of arguments" +fi |